import { Body, Controller, Get, Post, Query } from '@midwayjs/decorator';
import { Validate } from '@midwayjs/validate';
import { Test } from '../interface/test.interface';

@Controller('/')
export class HomeController {
  @Get('/')
  async home(): Promise<string> {
    return 'Hello Midwayjs!';
  }
  @Get('/test')
  @Validate()
  async test(@Query() data: Test) {
    console.log('function data');
    console.log(data);
    console.log('============================');
    return 'ok';
  }

  @Post('/tp')
  async tp(@Body() data: Test) {
    console.log('function tp data');
    console.log(data);
    console.log('============================');
    return 'ok';
  }
}
