import { Controller, Get, Inject, Query } from '@midwayjs/decorator';
import { ApiTags } from '@midwayjs/swagger';
import { StatisticsService } from '../service/statistics.service';

@ApiTags(['统计'])
@Controller('/statistics')
export class statisticsController {
  @Inject()
  service: StatisticsService;

  @Get('/achieve')
  async achieve(@Query() filter: any) {
    const result = await this.service.achieve(filter);
    return result;
  }
}
