import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'activitys' },
})
export class Activitys extends BaseModel {
  @prop({ required: false, index: false, zh: '标题' })
  name: string;
  @prop({ required: false, index: false, zh: '年度' })
  year: string;
  @prop({ required: false, index: false, zh: '开始时间' })
  start_time: string;
  @prop({ required: false, index: false, zh: '结束时间' })
  end_time: string;
  @prop({ required: false, index: false, zh: '开放的实验室类型' })
  type: string;
  @prop({ required: false, index: true, zh: '是否启用', default: '0' })
  is_use: string;
}
