import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'report' },
})
export class Report extends BaseModel {
  @prop({ required: false, index: true, zh: '报告名称' })
  name: string;
  @prop({ required: false, index: false, zh: '提交部门' })
  department: string;
  @prop({ required: false, index: false, zh: '报告性质', remark: 'bao_xingzhi' })
  type: string;
  @prop({ required: false, index: false, zh: '是否采纳' })
  isadopt: string;
  @prop({ required: false, index: false, zh: '备注' })
  content: string;
  @prop({ required: false, index: false, zh: '反馈信息' })
  message: string;
  @prop({ required: false, index: false }) //附件
  file: Array<any>;
  @prop({ required: false, index: true, zh: '实验室信息' })
  lab_id: string;
  @prop({ required: false, index: true, zh: '是否公开', remark: 'info_show' })
  is_show: string;
  @prop({ required: false, index: true, zh: '填写时间段', ref: 'Activitys' })
  act_time: string;
}
