import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'resource' },
})
export class Resource extends BaseModel {
  @prop({ required: false, index: false, zh: '来源名称' })
  name: string;
  @prop({ required: false, index: false, zh: '二级项目来源' })
  name_two: string;
  @prop({ required: false, index: false }) //排序
  sort: number;
  @prop({ required: false, index: false }) //备注
  remark: string;
}
