import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'title' },
})
export class Title extends BaseModel {
  @prop({ required: false, index: true, zh: '名称' })
  name: string;
  @prop({ required: false, index: false, zh: '情况' })
  nekename: string;
  @prop({ required: false, index: true, zh: '研究方向' })
  direction: string;
  @prop({ required: false, index: false }) //附件
  file: Array<any>;
  @prop({ required: false, index: false, zh: '晋升时间', exportQuery: 'time' })
  time: string;
  @prop({ required: false, index: true, zh: '实验室信息' })
  lab_id: string;
  @prop({ required: false, index: true, zh: '是否公开', remark: 'info_show' })
  is_show: string;
  @prop({ required: false, index: true, zh: '填写时间段', ref: 'Activitys' })
  act_time: string;
}
