import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Build } from '../entity/lab/build.entity';
import { Types } from 'mongoose';
const ObjectId = Types.ObjectId;
type modelType = ReturnModelType<typeof Build>;
@Provide()
export class BuildService extends BaseService<modelType> {
  @InjectEntityModel(Build)
  model: modelType;

  async buildfetch(id) {
    const data = await this.model.findOne({ $or: [{ _id: new ObjectId(id) }, { lab_id: id }] });
    return data;
  }
}
