import { MidwayConfig } from '@midwayjs/core';
const ip = '127.0.0.1';
const dbName = 'free-label';

export default {
  // use for cookie sign key, should change to your own and keep security
  keys: '1675219075245_9270',
  koa: {
    port: 13002,
    globalPrefix: '/freeLabel/v2/api',
  },
  swagger: {
    swaggerPath: '/freeLabel/v2/api/doc/api',
  },
  mongoose: {
    dataSource: {
      default: {
        uri: `mongodb://${ip}:27017/${dbName}`,
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entity/lab'],
      },
      basic: {
        uri: `mongodb://${ip}:27017/jcyjdtglpt`,
        options: {
          user: 'admin',
          pass: 'admin',
          authSource: 'admin',
          useNewUrlParser: true,
        },
        entities: ['./entity/basic'],
      },
    },
  },
  jwt: {
    secret: 'Ziyouyanfa!@#',
  },
  filesConfig: {
    root_path: 'D:\\temp',
    project: 'lab',
    export_dir: 'export',
    file_domain: 'http://127.0.0.1',
  },
} as MidwayConfig;
