import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'build' },
})
export class Build extends BaseModel {
  @prop({ required: false, index: false, zh: '平台概述' })
  summary: string;
  @prop({ required: false, index: false, zh: '平台建设重要意义' })
  purport: string;
  @prop({ required: false, index: false, zh: '平台基础情况' })
  base: string;
  @prop({ required: false, index: false, zh: '平台建设情况' })
  build: string;
  @prop({ required: false, index: false, zh: '平台未来3年发展规划及实施计划' })
  plan: string;
  @prop({ required: false, index: true, zh: '实验室信息' })
  lab_id: string;
  @prop({ required: false, index: true, zh: '填写时间', ref: 'Activitys' })
  act_time: string;
}
