import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'scienceactivities' },
})
export class Scienceactivities extends BaseModel {
  @prop({ required: false, index: true, zh: '活动主体' })
  name: string;
  @prop({ required: false, index: false, zh: '活动时间' })
  timestr: string;
  @prop({ required: false, index: false, zh: '参加对象及人数' })
  numbers: string;
  @prop({ required: false, index: false, zh: '宣传报导' })
  propaganda: string;
  @prop({ required: false, index: false, zh: '备注' })
  content: string;
  @prop({ required: false, index: false, zh: '本室人员参与人数' })
  usersnumber: string;
  @prop({ required: false, index: false }) //附件
  file: Array<any>;
  @prop({ required: false, index: true, zh: '实验室信息' })
  lab_id: string;
  @prop({ required: false, index: true, zh: '是否公开', remark: 'info_show' })
  is_show: string;
  @prop({ required: false, index: true, zh: '填写时间段', ref: 'Activitys' })
  act_time: string;
}
