import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'sjactivity' },
})
export class Sjactivity extends BaseModel {
  @prop({ required: false, index: true, zh: '活动名称' })
  name: string;
  @prop({ required: false, index: false, zh: '组织者' })
  usernames: string;
  @prop({ required: false, index: false, zh: '充当角色' })
  role: string;
  @prop({ required: false, index: false, zh: '人数' })
  numbers: string;
  @prop({ required: false, index: false, zh: '宣传报导' })
  propaganda: string;
  @prop({ required: false, index: false, zh: '作者备注' })
  content: string;
  @prop({ required: false, index: false }) //附件
  file: Array<any>;
  @prop({ required: false, index: true, zh: '实验室信息' })
  lab_id: string;
  @prop({ required: false, index: true, zh: '是否公开', remark: 'info_show' })
  is_show: string;
  @prop({ required: false, index: true, zh: '填写时间段', ref: 'Activitys' })
  act_time: string;
}
