import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'flowpersonnel' },
})
export class Flowpersonnel extends BaseModel {
  @prop({ required: false, index: true, zh: '姓名' })
  name: string;
  @prop({ required: false, index: false, zh: '工作单位及部门' })
  unit: string;
  @prop({ required: false, index: false, zh: '职务职称' })
  zwzc: string;
  @prop({ required: false, index: false, zh: '身份证号' })
  card: string;
  @prop({ required: false, index: false, zh: '学历' })
  educationale: string;
  @prop({ required: false, index: false, zh: '现从事专业' })
  now_work: string;
  @prop({ required: false, index: true, zh: '类别', remark: '字典:flow_make' })
  type: string;
  @prop({ required: false, index: false }) //附件
  file: Array<any>;
  @prop({ required: false, index: true, zh: '实验室信息' })
  lab_id: string;
  @prop({ required: false, index: true, zh: '是否公开', remark: '字典:info_show', default: '1' })
  is_show: string;
  @prop({ required: false, index: true, zh: '填写时间段', ref: 'Activitys' })
  act_time: string;
}
