import { modelOptions, prop } from '@typegoose/typegoose';
import { BaseModel } from 'free-midway-component';
@modelOptions({
  schemaOptions: { collection: 'tecAward' },
})
export class TecAward extends BaseModel {
  @prop({ required: false, index: false, zh: '类别', remark: '字典:mingxi_type' })
  type: string;
  @prop({ required: false, index: false, zh: '成果编号' })
  resulnumber: string;
  @prop({ required: false, index: false, zh: '成果名称' })
  name: string;
  @prop({ required: false, index: false, zh: '成果类别', remark: '字典:cheng_resulttype' })
  resultype: string;
  @prop({ required: false, index: false, zh: '研究方向' })
  direction: string;
  @prop({ required: false, index: false, zh: '完成人', ref: 'person' })
  user_id: Array<any>;
  @prop({ required: false, index: false }) //附件
  file: Array<any>;
  @prop({ required: false, index: false, zh: '实验室信息' })
  lab_id: string;
  @prop({ required: false, index: false, zh: '是否公开', remark: ' 字典:info_show' })
  is_show: string;
  @prop({ required: false, index: false, zh: '备注' })
  remark: string;
  @prop({ required: false, index: true, zh: '填写时间段', ref: 'Activitys' })
  act_time: string;
}
