import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Direction } from '../entity/lab/direction.entity';
type modelType = ReturnModelType<typeof Direction>;
@Provide()
export class DirectionService extends BaseService<modelType> {
  @InjectEntityModel(Direction)
  model: modelType;
}
