import { Provide } from '@midwayjs/decorator';
import { InjectEntityModel } from '@midwayjs/typegoose';
import { ReturnModelType } from '@typegoose/typegoose';
import { BaseService } from 'free-midway-component';
import { Resource } from '../entity/lab/resource.entity';
type modelType = ReturnModelType<typeof Resource>;
@Provide()
export class ResourceService extends BaseService<modelType> {
  @InjectEntityModel(Resource)
  model: modelType;
}
